package intrinsic.flash.utils;

public class Proxy extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Proxy() {
}


/** Static Methods */

/** Methods */
public native boolean deleteProperty(Object arg0);
public native Object callProperty(Object arg0);
public native Object nextValue(int arg0);
public native void setProperty(Object arg0, Object arg1);
public native Object getProperty(Object arg0);
public native boolean isAttribute(Object arg0);
public native String nextName(int arg0);
public native boolean hasProperty(Object arg0);
public native Object getDescendants(Object arg0);
public native int nextNameIndex(int arg0);

}
